/*
 * Copyright 2023 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

/***********************************************************************************/
/* This file is automatically generated using bindtool and can be manually edited  */
/* The following lines can be configured to regenerate this file during cmake      */
/* If manual edits are made, the following tags should be modified accordingly.    */
/* BINDTOOL_GEN_AUTOMATIC(0)                                                       */
/* BINDTOOL_USE_PYGCCXML(0)                                                        */
/* BINDTOOL_HEADER_FILE(ber_calculator.h)                                        */
/* BINDTOOL_HEADER_FILE_HASH(bab51157522e492d3cf272f093bdea4e)                     */
/***********************************************************************************/

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/satnogs/ber_calculator.h>
// pydoc.h is automatically generated in the build directory
#include <ber_calculator_pydoc.h>

void bind_ber_calculator(py::module& m)
{

    using ber_calculator = ::gr::satnogs::ber_calculator;


    py::class_<ber_calculator,
               gr::block,
               gr::basic_block,
               std::shared_ptr<ber_calculator>>(m, "ber_calculator", D(ber_calculator))

        .def(py::init(&ber_calculator::make),
             py::arg("frame_size") = 64,
             py::arg("nframes") = 0,
             py::arg("skip") = 10,
             D(ber_calculator, make))


        ;
}
